| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_sparse_instance_f32 Struct Reference

Instance structure for the floating-point sparse FIR filter.

## Data Fields
uint16_t | numTaps
uint16_t | stateIndex
float32_t * | pState
float32_t * | pCoeffs
uint16_t | maxDelay
int32_t * | pTapDelay

## Field Documentation

uint16_t arm_fir_sparse_instance_f32::maxDelay

maximum offset specified by the pTapDelay array.

Referenced by arm_fir_sparse_f32(), and arm_fir_sparse_init_f32().

uint16_t arm_fir_sparse_instance_f32::numTaps

number of coefficients in the filter.

Referenced by arm_fir_sparse_f32(), and arm_fir_sparse_init_f32().

float32_t* arm_fir_sparse_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_fir_sparse_f32(), and arm_fir_sparse_init_f32().

float32_t* arm_fir_sparse_instance_f32::pState

points to the state buffer array. The array is of length maxDelay+blockSize-1.

Referenced by arm_fir_sparse_f32(), and arm_fir_sparse_init_f32().

int32_t* arm_fir_sparse_instance_f32::pTapDelay

points to the array of delay values. The array is of length numTaps.

Referenced by arm_fir_sparse_f32(), and arm_fir_sparse_init_f32().

uint16_t arm_fir_sparse_instance_f32::stateIndex

state buffer index. Points to the oldest sample in the state buffer.

Referenced by arm_fir_sparse_f32(), and arm_fir_sparse_init_f32().